@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200");

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
:root{
    --bg:whitesmoke;
    --bg-card:white;
    --primary:#fb404b;
    --light-primary:rgba(243, 174, 179, 0.2);
    --contrast-prymary:whitesmoke;
    --contrast-bg:gray;

  }
.roboto-thin {
    font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: normal;
  }

  .roboto-thin-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: italic;
  }

  .roboto-light {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
  }

  .roboto-light-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: italic;
  }

  .roboto-regular {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: normal;
  }

  .roboto-regular-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    font-style: italic;
  }

  .roboto-medium {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-style: normal;
  }

  .roboto-medium-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 500;
    font-style: italic;
  }

  .roboto-bold {
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: normal;
  }

  .roboto-bold-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 700;
    font-style: italic;
  }

  .roboto-black {
    font-family: "Roboto", sans-serif;
    font-weight: 900;
    font-style: normal;
  }

  .roboto-black-italic {
    font-family: "Roboto", sans-serif;
    font-weight: 900;
    font-style: italic;
  }


body{
  display: flex;
  flex-direction: row;
  width: 100%;
  overflow: auto;
  font-family: "Roboto", sans-serif;
    font-weight: 100;
    font-style: normal;



}
.material-symbols-outlined {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24
}
.hidden{
  display:none;
}
aside{
  width: 300px;
  height: 80vh;
  min-height: 90vh;
  display: flex;
  flex-direction: column;
  margin: 2%;
  background-color: var(--primary);
}
.card{
  padding: 1rem;
  border-radius: 10px;
  box-shadow: 6px 6px 15px rgb(0, 0, 0,0.5);
}
figure{
  position: relative;
  width: 100%;
  top:0;  left: 0;

}
img{
  width: 60%;
}
nav{
  padding: 0.5rem 0.5rem;
  display: flex;
  height: 100%;
  width: 90%;
  flex-direction: column;
}
ul{
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 0;
  margin-top: 0;
}
ul li{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80%;
  margin: 0.5rem 0;
  border-radius: 1rem;
  list-style: none;
  text-align: center;
  color: aliceblue;
  background-color:var(--light-primary);
  font-size: 0.7rem;
  font-weight: 400;
}
ul li a{
  margin: 0.5rem;
  text-decoration: none;
  color: aliceblue;

}
ul li:hover{
  background-color: var(--primary);
  cursor: pointer;
}
/*STATUS*/
.aprobado p{
    padding: 0.5rem;
    color: var(--contrast-prymary);
    background-color: green;
    border-radius: 10px;

}
.preinscrito p{
    padding: 0.5rem;
    color: var(--contrast-prymary);
    background-color: orange;
    border-radius: 10px;
}
.inscrito p{
    padding: 0.5rem;
    color: var(--contrast-prymary);
    background-color: rgb(128, 0, 122);
    border-radius: 10px;
}
.rechazado p{
  padding: 0.5rem;
  color: var(--contrast-prymary);
  background-color: red;
  border-radius: 10px;
}
/*UTILITY*/
.red{
    color: red;
}
.blue{
    color: blue;
}
.orange{
    color: orange;
}
.capitalizar{
  text-transform: capitalize;
}
.activo p{
    padding: 0.5rem;
    color: var(--contrast-prymary);
    background-color: green;
    border-radius: 10px;
}
.pausa p{
    padding: 0.5rem;
    color: var(--contrast-prymary);
    background-color: orangered;
    border-radius: 10px;
}
.baja p{
  padding: 0.5rem;
  color: var(--contrast-prymary);
  background-color: red;
  border-radius: 10px;
}
.hidden{
    display: none;
}
/*MONITOR*/
main{
  width: 100%;
  height: 100vh;
}
section{
  margin: 2% auto;
  height: 85vh;
  width: 90%;
  position:relative;
  overflow-y: auto;

}
section h3{
  color: var(--primary);
}
section button{
  display: flex;
  flex-direction: row;
  align-items: center;
  align-self: flex-start;
  width: 15%;
  margin: 1rem 0;
  padding: 0.5rem;
  border: none;
  border-radius: 5px;
  cursor: pointer;

  color: var(--bg);
  background: var(--primary);
  box-shadow: 6px 6px 15px rgb(0, 0, 0,0.5);
}
section button:hover{
    background-color: #f3969c;
}

section button span{
    margin-right: 1rem;
}
table{
  margin: 2rem;
  border-collapse: collapse;
  border-radius: 10px;
}
thead{
  position: sticky;
  top: -4%;
  padding: 1rem 0;
  margin-top:0 ;
  height: 3rem;
  color: var(--contrast-bg);
  background-color: var(--bg-card);
  margin-bottom: 3px solid var(--contrast-bg);
  text-align: center;
  z-index: 1;
}
td {
  padding: 0.5rem;
  border-bottom: 1px solid var(--contrast-bg);
  font-size: 0.7rem;
  font-weight: 300;
  text-align: center;
}
th{
  font-size: 0.8rem;

}
td span{
    cursor: pointer;
}

/*FORMULARIOS*/


.container-form{
    width: 60%;
    height: auto;
    padding-bottom: 0;
    margin-top: 3rem;

}
.no-scroll{
  overflow: hidden;

}
form{
  padding: 0 2rem;
  padding-bottom: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.flex-container-input{
  display: flex;
  margin: 1rem 0;
  flex-direction: row;
  justify-content: space-around;
}
.flex-container-input label{

  display: flex;
  width: 100%;
  flex-direction: column;
  color: var(--primary);
  font-size: 1rem;
  font-weight: 400;
  outline: none;
}
.flex-container-input label input{
  width: 80%;
  padding: 0.5rem;
  border-radius: 5px;
  border: none;
  outline: none;
  border-bottom: 1px solid var(--contrast-bg);
  transition: focus 2s;

}
.flex-container-input label input:focus{
  border-bottom: 3px solid var(--primary);
}
.flex-container-input label select{
  width: 80%;
  padding: 0.5rem;
  border-radius: 5px;
  border: none;
  outline: none;
  font-size: 1rem;
}

.flex-container-input label select option{
  width: 80%;
  margin: 1rem auto;
  padding: 5rem;
  border-radius: 5px;
  border: none;
  outline: none;
  font-size: 1.4rem;
  color: #fb404b;
}
.flex-container-input label select option:hover{

  color: var(--contrast-prymary);
}
.flex-container-input P{
  color: black;
}
.flex-buttons{
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 1rem;
}
.flex-buttons button{
  display: flex;
  align-items: center;
  justify-content: center;
}
/*Progress bar*/
.container-bar{
    margin-bottom: 5rem;
    position: relative;
    left: 50%;
    top: 5%;
    transform: translateX(-50%);
    max-width: 60vw;
    width: 100%;
    display: flex;
    align-items: center;

}
.steps{
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content:space-between;
}
.steps p {
  position: relative;
  width: 200px;
  top: 10px;

}
.circle{
  position:relative;
  background-color: gray;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  z-index: 10;
}
.bar-progress{
  position: absolute;
  width: 100%;
  height: 3px;
  background-color: gray;
}
.bar-progress{
  position: absolute;
  background-color: gray;
  width: 100%;
}
.progress{
  position: absolute;
  background-color: var(--primary);
  width: 0%;
  height: 3px;
  z-index: 100;
}
.step-active{
  background-color: var(--primary);
}
.img-update{
  width: 300px;
  cursor: pointer;
}
.foto{
  width: 150px;
  border-radius: 50%;
}



